# PageCrypt

[J’y ai passé ma soirée](/david/2024/03/19/) mais j’ai un [truc qui fonctionne pour une démo](https://davidbgk.gitlab.io/page-crypt-web-component/). Ça ressemble beaucoup à un *patchwork* de bouts de code récupérés [ici](https://www.maxlaumeister.com/pagecrypt/) et [là](https://github.com/Greenheart/pagecrypt) puis [aussi là](https://github.com/MaxLaumeister/PageCrypt/blob/master/python/encrypt.py) pour la partie Python.

Il y a encore pas mal de travail — notamment pour rendre la page suffisamment accessible — mais au moins la partie crypto / boîte noire semble fonctionner à la fois du côté génération en Python et consommation en JS. C’est la partie qui me faisait un peu peur et sur laquelle j’ai un peu patiné car c’est bien au-delà de mes compétences et que je ne veux pas prendre l’initiative de trop adapter sans comprendre les enjeux niveau sécurité.

Le dépôt est [par ici](https://gitlab.com/davidbgk/page-crypt-web-component). Il faut encore que je décide si le formulaire pour le mot de passe devient un *web component* dédié et/ou un sous-composant, je ne suis pas satisfait du couplage implicite actuel. Itération, itération.

En bonus, il est possible d’accéder directement au contenu de la page en mettant le mot de passe en ancre de l’URL. J’ai appris au passage que ce fragment d’URL n’était pas transmis dans la requête et ne restait que dans l’historique du navigateur.

*Si tu n’as pas honte de ton premier commit, tout ça… la suite demain.*

---

> Les mots ont un impact et, inconsciemment, quand vous ne les utilisez pas dans la bonne manière, vous minimisez mon handicap et donc vous faites moins d'effort que nécessaire.
> 
> Autre point, dit-on « personne en situation en handicap » ou « personne handicapée ? »
> 
> Là, encore, il y a une subtilité.
> 
> Je vais à un événement tech où les conférences ne sont pas sous-titrées. Je suis en situation de handicap puisque les conférences ne me sont pas du tout accessibles.
> 
> Je vais à un événement tech où les conférences sont toutes sous-titrées. Je ne suis pas en situation de handicap puisque les conférences me sont totalement accessibles.
> 
> Voici la différence. ==Être en situation de handicap, c’est subir la situation faute d’accessibilité.==
>
> <cite>*[N’ayez pas peur des mots](https://emmanuelle-aboaf.netlify.app/blog/article/n-ayez-pas-peur-des-mots)*</cite>

Cette page ne contient pas le contenu du HTML qui s’affiche et ça me rend triste car j’en apprécie le contenu qui m’apprend des choses / me fait réfléchir.

Un autre angle de l’accessibilité ?

---

> [en] So don’t publish for the world.
>
> When I write something here on my website, I’m not thinking about the world reading it. That would be paralyzing. I do sometimes imagine that one person is reading it; someone just like me who hasn’t yet had this particular thought, or come up with that particular idea.
>
> I’m writing for myself. ==I write to figure out what I think.== I also publish mostly for myself—a public archive for future me. But if what I publish just happens to connect with one other person, I’m glad.
>
> <cite>*[What the world needs](https://adactio.com/journal/20996)*</cite>

---

> [en] My goal, for this digital place I’m creating, is to make you go away. And that’s not because I want to be left alone but because ==I hope to help you discover new digital places to explore.== If I see you again, it’s because you decided to come back, and not because you got lost and trapped inside the digital walls I erected.
>
> <cite>*[Digital walled gardens](https://manuelmoreale.com/digital-walled-gardens)*</cite>

🌱

#laboratoire #opensource #technique
